package com.backendsys.modules.cms.article.service;

import com.backendsys.modules.cms.article.entity.ArticleCategory;
import com.backendsys.utils.response.PageEntity;

import java.util.List;
import java.util.Map;

public interface ArticleCategoryService {

    // 获取资讯列表
    PageEntity selectArticleCategoryList(ArticleCategory articleCategory);
    List<ArticleCategory> selectArticleCategoryListPublic(ArticleCategory articleCategory);

    // 获取资讯列表 (视图)
    List<ArticleCategory> selectArticleCategory(ArticleCategory articleCategory);
    // 获取资讯详情
    Map<String, Object> selectArticleCategoryDetail(ArticleCategory article);

    // 创建资讯
    Map<String, Object> insertArticleCategory(ArticleCategory article);
    // 编辑资讯
    Map<String, Object> updateArticleCategory(ArticleCategory article);
    // 删除资讯
    Map<String, Object> deleteArticleCategory(ArticleCategory article);

}
